SearchController (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.client

## Class SearchController

- java.lang.Object
- - org.gcube.portlets.user.speciesdiscovery.client.SearchController

-     public class SearchController
      extends Object

  Author:
    "Federico De Faveri defaveri@isti.cnr.it" - "Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it"

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `currentPage`
    `static com.google.gwt.event.shared.EventBus` | `eventBus`
    `protected SearchController` | `instance`
    `protected boolean` | `isActiveFilterOnResult`
    `protected static int` | `PAGE_SIZE`
    `protected boolean` | `showOnlySelected`
    `protected StreamPagingLoader` | `streamPagingLoader`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SearchController(com.google.gwt.event.shared.EventBus eventBus, SearchBorderLayoutPanel searchBorderLayoutPanel)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `activeFilterOnResult(boolean bool)`
    `protected void` | `bind()`
    `void` | `changeStatusJob(SearchResultType jobType, String jobId, DownloadState state)`
    `protected void` | `disableFilters()`
    `protected void` | `doActiveMaskLoadingGridAndButtonSearch(boolean mask)`
    `static void` | `excecuteGetJobs(SearchResultType type, boolean resetStructures)`
    `protected String` | `getCommonNamesHTML(String scientificName, String author, String credits, List<CommonName> commonNames)`
    `com.google.gwt.event.shared.EventBus` | `getEventBus()`
    `SearchEvent` | `getLastSearchEvent()`
    `StreamPagingLoader` | `getStreamPagingLoader()`
    `protected void` | `loadDataSourceFromService()`
    `protected void` | `loadLastQuery(boolean isError)`
    `void` | `openOccurenceWindow()`
    `void` | `reset()`
    `void` | `resubmitJob(SearchResultType resultType, String jobIdentifier)`
    `void` | `saveOccurences(SaveFileFormat fileFormat, OccurrencesSaveEnum typeCSV)`
    `void` | `saveTaxonomy(SaveFileFormat fileFormat)`
    `void` | `saveTaxonomyJob(JobTaxonomyModel jobTaxonomyModel, String scientificName, List<DataSource> listDataSources, String rank)`
    `void` | `saveTaxonomyJobError(JobTaxonomyModel jobTaxonomyModel, String scientificName, List<DataSource> listDataSources, String rank)`
    `protected void` | `search(SearchType type, String searchTerm, Number upperBoundLongitude, Number upperBoundLatitude, Number lowerBoundLongitude, Number lowerBoundLatitude, Date fromDate, Date toDate, List<DataSourceModel> listDataSources, String groupRank, SpeciesCapability resultType, List<DataSourceModel> listDataSourcesForSynonyms, List<DataSourceModel> listDataSourcesForUnfold)`
    `protected void` | `searchByQuery(String query)`
    `protected void` | `showFilterResults(boolean onlySelected)`
    `void` | `showMap(String layerName)`
    `void` | `showOccurrencesMap()`
    `protected void` | `switchDataSource(SpeciesCapability resultType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PAGE_SIZE

          protected static final int PAGE_SIZE

      See Also:
        Constant Field Values

    - #### eventBus

          public static com.google.gwt.event.shared.EventBus eventBus

    - #### streamPagingLoader

          protected StreamPagingLoader streamPagingLoader

    - #### showOnlySelected

          protected boolean showOnlySelected

    - #### isActiveFilterOnResult

          protected boolean isActiveFilterOnResult

    - #### currentPage

          protected int currentPage

    - #### instance

          protected SearchController instance

  - ### Constructor Detail

    - #### SearchController

          public SearchController(com.google.gwt.event.shared.EventBus eventBus,
                          SearchBorderLayoutPanel searchBorderLayoutPanel)

      Parameters:
        `eventBus` -
        `searchBorderLayoutPanel` -

  - ### Method Detail

    - #### switchDataSource

          protected void switchDataSource(SpeciesCapability resultType)

    - #### getStreamPagingLoader

          public StreamPagingLoader getStreamPagingLoader()

      Returns:
        the streamPagingLoader

    - #### bind

          protected void bind()

    - #### resubmitJob

          public void resubmitJob(SearchResultType resultType,
                         String jobIdentifier)

    - #### activeFilterOnResult

          protected void activeFilterOnResult(boolean bool)

    - #### disableFilters

          protected void disableFilters()

    - #### loadDataSourceFromService

          protected void loadDataSourceFromService()

    - #### doActiveMaskLoadingGridAndButtonSearch

          protected void doActiveMaskLoadingGridAndButtonSearch(boolean mask)

    - #### showFilterResults

          protected void showFilterResults(boolean onlySelected)

    - #### openOccurenceWindow

          public void openOccurenceWindow()

    - #### saveOccurences

          public void saveOccurences(SaveFileFormat fileFormat,
                            OccurrencesSaveEnum typeCSV)

    - #### saveTaxonomyJobError

          public void saveTaxonomyJobError(JobTaxonomyModel jobTaxonomyModel,
                                  String scientificName,
                                  List<DataSource> listDataSources,
                                  String rank)

    - #### saveTaxonomyJob

          public void saveTaxonomyJob(JobTaxonomyModel jobTaxonomyModel,
                             String scientificName,
                             List<DataSource> listDataSources,
                             String rank)

    - #### changeStatusJob

          public void changeStatusJob(SearchResultType jobType,
                             String jobId,
                             DownloadState state)

    - #### saveTaxonomy

          public void saveTaxonomy(SaveFileFormat fileFormat)

    - #### showOccurrencesMap

          public void showOccurrencesMap()

    - #### showMap

          public void showMap(String layerName)

    - #### reset

          public void reset()

    - #### loadLastQuery

          protected void loadLastQuery(boolean isError)

    - #### searchByQuery

          protected void searchByQuery(String query)

    - #### search

          protected void search(SearchType type,
                    String searchTerm,
                    Number upperBoundLongitude,
                    Number upperBoundLatitude,
                    Number lowerBoundLongitude,
                    Number lowerBoundLatitude,
                    Date fromDate,
                    Date toDate,
                    List<DataSourceModel> listDataSources,
                    String groupRank,
                    SpeciesCapability resultType,
                    List<DataSourceModel> listDataSourcesForSynonyms,
                    List<DataSourceModel> listDataSourcesForUnfold)

    - #### getCommonNamesHTML

          protected String getCommonNamesHTML(String scientificName,
                                  String author,
                                  String credits,
                                  List<CommonName> commonNames)

    - #### getEventBus

          public com.google.gwt.event.shared.EventBus getEventBus()

    - #### getLastSearchEvent

          public SearchEvent getLastSearchEvent()

    - #### excecuteGetJobs

          public static void excecuteGetJobs(SearchResultType type,
                             boolean resetStructures)

Copyright © 2013. All Rights Reserved.